<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/common_bg_with_radius_and_border">

        <Button
            android:id="@+id/close_from"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@mipmap/close_image"
            android:textColor="@color/white"
            android:textSize="14dp" />

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_10"
            android:text="商品信息详情"
            android:textSize="20dp"></TextView>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="46dp"
            android:layout_marginLeft="30dp"
            android:layout_marginRight="30dp"
            android:layout_marginBottom="55dp">
            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <!--边框分割细线-->
                    <LinearLayout
                        android:layout_alignParentBottom="true"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginBottom="@dimen/dp_10"
                        android:background="@color/color3" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:text="商品信息"
                        android:textSize="20dp" />
                    <!--菜谱名称行-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_marginBottom="@dimen/dp_10">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:orientation="vertical">

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_weight="1"
                                android:background="@color/color1">

                                <ImageView
                                    android:id="@+id/cpfm"
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:layout_marginStart="3dp"
                                    android:layout_marginTop="3dp"
                                    android:layout_marginEnd="3dp"
                                    android:layout_marginBottom="3dp"
                                    android:src="@mipmap/loading3" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/save_goods"
                                android:layout_width="match_parent"
                                android:layout_height="40dp"
                                android:layout_centerHorizontal="true"
                                android:layout_marginTop="@dimen/dp_10"
                                android:background="@drawable/silosbuttonbj"
                                android:text="保存"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="30dp"
                            android:layout_weight="1.8"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="300dp"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_10"
                                android:layout_marginBottom="12dp">

                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="商品名称："
                                    android:textSize="18dp" />
                                <!--账号输入框-->
                                <EditText
                                    android:id="@+id/edittext"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="5dp"
                                    android:background="@drawable/input_bj"
                                    android:hint="请输入"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:padding="3dp"
                                    android:textSize="18dp" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="300dp"
                                android:layout_height="wrap_content"
                                android:layout_marginBottom="12dp">

                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="商品外键："
                                    android:textSize="18dp" />
                                <!--账号输入框-->
                                <EditText
                                    android:id="@+id/edittext1"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="5dp"
                                    android:background="@drawable/input_bj"
                                    android:hint="请输入"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:padding="3dp"
                                    android:textSize="18dp" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="300dp"
                                android:layout_height="30dp"
                                android:layout_marginBottom="12dp">

                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="30dp"
                                    android:text="商品分类："
                                    android:textSize="18dp" />
                                <!--账号输入框-->
                                <Spinner
                                    android:id="@+id/editsp_fl"
                                    style="@style/commonSpinnerStyle"
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_centerVertical="true"
                                    android:textSize="18dp" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="300dp"
                                android:layout_height="wrap_content"
                                android:layout_marginBottom="12dp">

                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="商品物料："
                                    android:textSize="18dp" />
                                <!--账号输入框-->
                                <EditText
                                    android:id="@+id/edittext_wl"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="5dp"
                                    android:background="@drawable/input_bj"
                                    android:hint="请输入"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:padding="3dp"
                                    android:textSize="18dp"
                                    android:focusable="false"/>
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_alignParentBottom="true"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginBottom="@dimen/dp_10"
                        android:background="@color/color3" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="20dp"
                            android:text="配方信息"
                            android:textSize="20dp" />

                        <TextView
                            android:id="@+id/caozuomiaoshu"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerHorizontal="true"
                            android:text="当前【窗玻璃奶茶】操作中..."
                            android:textColor="@color/app_color_blue"
                            android:textSize="20dp" />
                    </LinearLayout>

                    <!--物料类型-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="0dp">
                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.5">

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content">
                                <!-- 商品分类 -->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="10dp"
                                    android:layout_marginRight="10dp"
                                    android:layout_marginBottom="12dp">

                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="配方名称："
                                        android:textSize="18dp" />
                                    <!--账号输入框-->
                                    <EditText
                                        android:id="@+id/edittext_pfmingc"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:hint="请输入"
                                        android:inputType="text"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:textSize="18dp" />

                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="50dp"
                                    android:orientation="vertical">

                                    <androidx.recyclerview.widget.RecyclerView
                                        android:id="@+id/datatab_sx"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content" />

                                    <LinearLayout
                                        android:layout_marginTop="@dimen/dp_10"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:orientation="vertical">
                                        <!-- 表头 -->
                                        <RelativeLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="26dp"
                                            android:background="@color/app_color_blue">

                                            <TableLayout
                                                android:layout_width="match_parent"
                                                android:layout_height="wrap_content"
                                                android:layout_centerVertical="true"
                                                android:layout_gravity="center"
                                                android:gravity="center"
                                                android:stretchColumns="0">

                                                <TableRow
                                                    android:layout_width="fill_parent"
                                                    android:layout_height="wrap_content"
                                                    android:gravity="center_horizontal">

                                                    <RelativeLayout
                                                        android:layout_width="0dp"
                                                        android:layout_height="wrap_content"
                                                        android:layout_weight="1">

                                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                            android:layout_width="wrap_content"
                                                            android:layout_height="wrap_content"
                                                            android:layout_alignParentLeft="true"
                                                            android:layout_marginLeft="20dp"
                                                            android:text="步骤"
                                                            android:textColor="@color/white"/>
                                                    </RelativeLayout>

                                                    <RelativeLayout
                                                        android:layout_width="0dp"
                                                        android:layout_height="wrap_content"
                                                        android:layout_weight="1">

                                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                            android:layout_width="wrap_content"
                                                            android:layout_height="wrap_content"
                                                            android:layout_alignParentLeft="true"
                                                            android:layout_marginLeft="20dp"
                                                            android:text="名称"
                                                            android:textColor="@color/white"/>
                                                    </RelativeLayout>

                                                    <RelativeLayout
                                                        android:layout_width="0dp"
                                                        android:layout_height="wrap_content"
                                                        android:layout_weight="1">

                                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                            android:layout_width="wrap_content"
                                                            android:layout_height="wrap_content"
                                                            android:layout_alignParentLeft="true"
                                                            android:layout_marginLeft="20dp"
                                                            android:text="重量(g)"
                                                            android:textColor="@color/white"/>
                                                    </RelativeLayout>


                                                    <RelativeLayout
                                                        android:layout_width="0dp"
                                                        android:layout_height="wrap_content"
                                                        android:layout_weight="1">

                                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                            android:layout_width="wrap_content"
                                                            android:layout_height="wrap_content"
                                                            android:layout_alignParentLeft="true"
                                                            android:layout_marginLeft="20dp"
                                                            android:text="操作"
                                                            android:textColor="@color/white"/>
                                                    </RelativeLayout>
                                                </TableRow>
                                            </TableLayout>
                                        </RelativeLayout>
                                        <!-- 数据 -->
                                        <RelativeLayout
                                            android:layout_width="wrap_content"
                                            android:layout_height="match_parent">
                                            <ListView
                                                android:id="@+id/datatab_xxpf"
                                                android:layout_width="match_parent"
                                                android:layout_height="130dp"
                                                android:layout_marginTop="3dp"
                                                android:divider="#00000000"
                                                android:dividerHeight="3dp" />
                                        </RelativeLayout>
                                    </LinearLayout>
                                </LinearLayout>

                            </RelativeLayout>
                        </RelativeLayout>

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:orientation="vertical">
                                <!-- 表头 -->
                                <RelativeLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="26dp"
                                    android:background="@color/app_color_blue">

                                    <TableLayout
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_centerVertical="true"
                                        android:layout_gravity="center"
                                        android:gravity="center"
                                        android:stretchColumns="0">

                                        <TableRow
                                            android:layout_width="fill_parent"
                                            android:layout_height="wrap_content"
                                            android:gravity="center_horizontal">

                                            <RelativeLayout
                                                android:layout_width="0dp"
                                                android:layout_height="wrap_content"
                                                android:layout_weight="1">

                                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                    android:layout_width="match_parent"
                                                    android:layout_height="wrap_content"

                                                    android:layout_alignParentLeft="true"
                                                    android:layout_marginLeft="20dp"
                                                    android:text="配方名称"
                                                    android:textAlignment="center"
                                                    android:textColor="@color/white" />
                                            </RelativeLayout>


                                            <RelativeLayout
                                                android:layout_width="0dp"
                                                android:layout_height="wrap_content"
                                                android:layout_weight="1">

                                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                    android:layout_width="match_parent"
                                                    android:layout_height="wrap_content"
                                                    android:layout_alignParentLeft="true"
                                                    android:layout_marginLeft="20dp"
                                                    android:text="用户操作"
                                                    android:textAlignment="center"
                                                    android:textColor="@color/white" />
                                            </RelativeLayout>
                                        </TableRow>
                                    </TableLayout>
                                </RelativeLayout>
                                <!-- 数据 -->
                                <RelativeLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent">

                                    <ListView
                                        android:id="@+id/datatab_pf"
                                        android:layout_width="match_parent"
                                        android:layout_height="match_parent"
                                        android:layout_marginTop="3dp"
                                        android:divider="#00000000"
                                        android:dividerHeight="3dp" />
                                </RelativeLayout>
                            </LinearLayout>
                        </RelativeLayout>
                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recycler_view_wl_click"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10" />
                </LinearLayout>
            </ScrollView>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_10"
            android:orientation="horizontal">
            <Button
                android:id="@+id/xinjian"
                android:layout_width="200dp"
                android:layout_height="40dp"
                android:background="@drawable/bg_btn_login_selected"
                android:text="保存配方"
                android:textColor="@color/white"
                android:textSize="18sp" />

            <Button
                android:layout_marginLeft="@dimen/dp_10"
                android:id="@+id/xinjiannew"
                android:layout_width="200dp"
                android:layout_height="40dp"
                android:background="@drawable/button1"
                android:text="生成新配方"
                android:textColor="@color/white"
                android:textSize="18sp" />
        </LinearLayout>
    </RelativeLayout>
</RelativeLayout>